import os
import numpy as np
from glaettung_beschleunigung_modul import list_to_float, mean, moving_average, mse

# Daten einlesen
path = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'keyboard_clean.csv')
raw_data = np.loadtxt(path, delimiter=",", skiprows=1, dtype=str)

time_str = raw_data[:, 0].tolist()
acc_x_str = raw_data[:, 1].tolist()
acc_y_str = raw_data[:, 2].tolist()
acc_z_str = raw_data[:, 3].tolist()

# Daten umwandeln
time = list_to_float(time_str)
acc_x = list_to_float(acc_x_str)
acc_y = list_to_float(acc_y_str)
acc_z = list_to_float(acc_z_str)

# Mittelwert berechnen
print(f"acc_x_mean = {mean(acc_x):.2f} ms^-2")
print(f"acc_y_mean = {mean(acc_y):.2f} ms^-2")
print(f"acc_z_mean = {mean(acc_z):.2f} ms^-2")

# Glättung
acc_x_mov5 = moving_average(acc_x)
acc_y_mov5 = moving_average(acc_y)
acc_z_mov5 = moving_average(acc_z)

# Mean Squared Error
print(f"MSE_x = {mse(acc_x, acc_x_mov5)*100:.2f}%")
print(f"MSE_y = {mse(acc_y, acc_y_mov5)*100:.2f}%")
print(f"MSE_z = {mse(acc_z, acc_z_mov5)*100:.2f}%")
